=== debian/changelog ===
nova (2012.1.1-18) unstable; urgency=low

  * nova-common isn't anymore using /usr/share/doc to store configuration files
    used in the postinst, thanks to Ansgar for reporting it (Closes: #705117).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Apr 2013 19:05:41 +0800

nova (2012.1.1-17) unstable; urgency=low

  * Fixes wrong default file in postinst (Closes: #704544).

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Apr 2013 03:11:21 +0800

nova (2012.1.1-16) unstable; urgency=low

  * Fixes console auth after security fix (Closes: #703242).
  * Fixes a typo in debian/nova-common.postinst when activating NOVA_ENABLE.
  * Fixes the DSN in the case of PGSQL: now it really is postgresql:// and not
    pgsql://.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Mar 2013 13:32:52 +0800

nova (2012.1.1-15) unstable; urgency=low

  * CVE-2013-1838: Nova DoS by allocating all Fixed IPs (Closes: #703064).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Mar 2013 05:07:45 +0800

nova (2012.1.1-14) unstable; urgency=high

  * CVE-2013-0335: VNC proxy can connect to the wrong VM (Closes: #701773).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Feb 2013 12:32:52 +0000

nova (2012.1.1-13) unstable; urgency=high

  * CVE-2013-1664 & CVE-2013-1665: Information leak and Denial of Service using
    XML entities (Closes: #700949).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Feb 2013 13:39:34 +0800

nova (2012.1.1-12) unstable; urgency=high

  * CVE-2013-0208: Fixes boot from volume allows access to random volumes, with
  special thanks to TTX for making sure I was aware of it (Closes: #699266).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jan 2013 15:25:58 +0000

nova (2012.1.1-11) unstable; urgency=low

  * Fixes some wrong path to binaries in the rootwrap config (Closes: #695791).

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Dec 2012 15:57:49 +0000

nova (2012.1.1-10) unstable; urgency=low

  * Fixes capitalization in debian/po/es.po (Nova vs nova) (Closes: #687000).
  * Fixes some spaces in debian/po/zh_CN.po.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Sep 2012 07:23:36 +0000
