=== debian/watch ===
version=3
http://launchpad.net/nova/+download http://launchpad.net/nova/.*/nova-(.*).tar.*
http://nova.openstack.org/tarballs/ nova-(.*).tar.gz
