## nova 2012.1.3+stable-20130423-e52e6912

=== debian/changelog ===
nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.4) precise-security; urgency=medium

  * SECURITY UPDATE: ssl not enforced when qpid_protocol is set to ssl
    - debian/patches/CVE-2013-6491.patch: set the right parameter in
      nova/rpc/impl_qpid.py
    - LP: #1158807
    - CVE-2013-6491
  * SECURITY UPDATE: information disclosure via incorrect KVM live block
    migration
    - debian/patches/CVE-2013-7130.patch: fix root disk leak in
      nova/virt/libvirt/connection.py, add upstream test and additional test
      (test_create_images_and_backing_full()) to nova/tests/test_libvirt.py
    - CVE-2013-7130
  * SECURITY UPDATE: denial of service via disk consumption
    - debian/patches/CVE-2013-446x.patch: don't boot oversized images in
      nova/virt/images.py, and nova/virt/libvirt/connection.py. Update tests
      in nova/tests/test_libvirt.py
    - CVE-2013-4463
    - CVE-2013-4469

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 14 May 2014 15:14:36 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service with network security group policy
    updates
    - debian/patches/CVE-2013-4185.patch: use cached nwinfo for secgroup rules
      (LP: #1184041)
    - CVE-2013-4185

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Oct 2013 17:52:13 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: verify virtual size of QCOW2 images
    - CVE-2013-2096.patch: update nova/virt/libvirt/connection.py to check
      QCOW2 image size during root disk creation
    - CVE-2013-2096

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 May 2013 16:37:20 -0500

nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (e52e6912) (LP: #1089488):
    - [48e81f1] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [3bf5a58] snat rule too broad for some network configurations LP: 1048765
    - [efaacda] DOS by allocating all fixed ips LP: 1125468
    - [b683ced] Add nosehtmloutput as a test dependency.
    - [45274c8] Nova unit tests not running, but still passing for stable/essex
      LP: 1132835
    - [e02b459] vnc unit-test fixes
    - [87361d3] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [e98928c] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [c0a10db] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
    - [243d516] No authentication on block device used for os-volume_boot
      LP: 1069904
    - [80fefe5] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [bd10241] Essex 2012.1.3 : Error deleting instance with 2 Nova Volumes
      attached (LP: #1079745)
    - [86a5937] do_refresh_security_group_rules in nova.virt.firewall is very
      slow (LP: #1062314)
    - [ae9c5f4] deallocate_fixed_ip attempts to update an already deleted
      fixed_ip (LP: #1017633)
    - [20f98c5] failed to allocate fixed ip because old deleted one exists
      (LP: #996482)
    - [75f6922] snapshot stays in saving state if the vm base image is deleted
      (LP: #921774)
    - [1076699] lock files may be removed in error dues to permissions issues
      (LP: #1051924)
    - [40c5e94] ensure_default_security_group() does not call sgh (LP: #1050982)
    - [4eebe76] At termination, LXC rootfs is not always unmounted before
      rmtree() is called (LP: #1046313)
    - [47dabb3] Heavily loaded nova-compute instances don't sent reports
      frequently enough (LP: #1045152)
    - [b375b4f] When attach volume lost attach when node restart (LP: #1004791)
    - [4ac2dcc] nova usage-list returns  wrong usage (LP: #1043999)
    - [014fcbc] Bridge port's hairpin mode not set after resuming a machine
      (LP: #1040537)
    - [2f35f8e] Nova flavor ephemeral space size reported incorrectly
      (LP: #1026210)
  * Dropped, superseeded by new snapshot:
    - debian/patches/CVE-2013-0335.patch: [48e81f1]
    - debian/patches/CVE-2013-1838.patch: [efaacda]
    - debian/patches/CVE-2013-1664.patch: [c0a10db]
    - debian/patches/CVE-2013-0208.patch: [243d516]

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 22 Apr 2013 12:37:08 +0200

nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.4) precise-security; urgency=low

  * SECURITY UPDATE: fix denial of service via fixed IPs when using extensions
    - debian/patches/CVE-2013-1838.patch: add explicit quota for fixed IP
    - CVE-2013-1838
    - LP: #1125468
  * SECURITY UPDATE: fix VNC token validation
    - debian/patches/CVE-2013-0335*.patch: force console auth service to flush
      all tokens associated with an instance when it is deleted
    - CVE-2013-0335
    - LP: #1125378

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Mar 2013 10:07:08 -0500

nova (2012.1.3+stable-20120827-4d2a4afe-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: fix denial of service
    - CVE-2013-1664.patch: Add a new utils.safe_minidom_parse_string function
      and update external API facing Nova modules to use it
    - CVE-2013-1664

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Feb 2013 11:45:46 -0600
